Bug 37066 - J2MEWTK fails if NetBeans installed in directory containing spaces
J2MEWTK fails if NetBeans installed in directory containing spaces
Status: CLOSED WONTFIX
Product: javame
Classification: Unclassified
Component: -- Other --
3.x
PC Linux
: P3 (vote)
: TBD
Assigned To: Martin Ryzl
issues@mobility
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 09:08 UTC by kurti
Modified: 2006-06-23 17:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kurti 2003-11-06 09:08:39 UTC
If the installation directory of NetBeans contains
spaces, e.g. '/opt/NetBeans IDE 3.5.1' and you
installed the J2ME-Linux-module from NetBeans
modules, you cannot run the emulator on single
classes, only on Midlet-suites.

The error message is:

---- cut here ----
Invalid argument "-Xdevice:DefaultColorPhone"

Usage: midp [<options>] [-Xdescriptor <filename>]
<class>
         Run a MIDlet from the classpath.
          -Xdescriptor: Get the MIDlet properties
from this file

<continued with usage>
---- cut here ----

How to reproduce
=================
1. Install NB into a directory containing spaces
(or simply rename an existing installation)
2. Install 'J2MEWTK Linux 1.0.4' (J2ME Wireless is
selected automatically) from NB Update Center
3. Create a class from HelloMIDlet-Template
4. Compile and try to run the class


Woraround
==========
A workaround is to rename the installation
directory so that it does not contain spaces.

My guess is that somewhere quotes (") are missing
and so the spaces are treated as option separators.
Comment 1 Jesse Glick 2003-11-06 09:37:41 UTC
No reason to believe it is a NetBeans bug - problem with J2ME modules
I suppose.
Comment 2 Petr Suchomel 2003-11-06 10:50:35 UTC
I am investigating this issue.
Comment 3 Petr Suchomel 2003-11-06 16:59:56 UTC
I tested it. The root problem is, that WTK does not support
installation in path with spaces on *NIX platforms. Transfering to
BugTarq.
Comment 4 Martin Ryzl 2004-08-10 17:57:49 UTC
problem of wtk, spaces are not supported on Unix like OSs.
Comment 5 Lukas Hasik 2005-04-22 10:31:21 UTC
closing
Comment 6 Lukas Hasik 2006-06-23 17:26:32 UTC
this is old issue - 3.5, 3.6


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo